---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 99d73c48-9985-51d2-9639-d37bcdfe119e
      tier: AATSR_CMP_MONTH
      value: 0.05403498560190201
    brdf:
      alpha_1:
        band_1: 0.19736068495003825
        band_11: 0.18202780714295905
        band_12: 0.09942617005972297
        band_2: 0.1967714468194877
        band_3: 0.29908767278760523
        band_4: 0.17537102613542938
        band_5: 0.17545464400422608
        band_6: 0.17557171922222922
        band_7: 0.6453001506101552
        band_8: 0.6449727543534707
        band_8a: 0.6453796415237628
      alpha_2:
        band_1: 0.17648702056206494
        band_11: 0.17220040012906815
        band_12: 0.2312878790139891
        band_2: 0.17646135402641605
        band_3: 0.15140636110333314
        band_4: 0.20239156213803353
        band_5: 0.20239483801008287
        band_6: 0.20239730400263564
        band_7: 0.06201922447790863
        band_8: 0.062040852349313426
        band_8a: 0.06201162197515842
      id:
      - de354f03-55cc-56fc-b7ad-67085adacfd5
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 83914de1-c12e-5035-af8d-e2dc1baa54d4
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - d65bc38d-e9e8-5dd8-9465-ce8fbfa75019
      tier: DEFINITIVE
      value: 2.5399999618530273
  id: c4cbdee9-da90-42a1-a475-ed6da690f1ca
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1879.2430224388593
      BAND-11: 231.11959434727717
      BAND-12: 80.8625139470794
      BAND-2: 1929.6381026686124
      BAND-3: 1808.242861998265
      BAND-4: 1476.0399225798253
      BAND-5: 1362.7977641849345
      BAND-6: 1246.0001593629036
      BAND-7: 1145.292982026258
      BAND-8: 1007.008001042694
      BAND-8A: 918.005578699364
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2017-06-30 01:07:27.461000Z
    atime: 2022-05-26 10:57:42Z
    ctime: 2018-05-11 01:41:08Z
    mtime: 2017-07-11 17:21:24Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20170630T010729_N0205_R045_T53KRB_20170630T010727.zip
  system_information:
    hostname: gadi-cpu-clx-0825.gadi.nci.org.au
    runtime_id: aac72fec-dce2-11ec-a681-00000191fe80
    time_processed: 2022-05-26 10:57:42.744423Z
    uname: 'Linux gadi-cpu-clx-0825.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 18.0
    green: 1682.0
    red: 13.0
    teal: 135.0
    yellow: 10.0
  error_message: no errors
  final_qa_count: 1807
  granule: S2B_OPER_MSI_L1C_TL_SGS__20170630T023552_A001644_T53KRB_N02.05
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 0.32
      xy: 0.36
      y: 0.17
    abs_iterative_mean:
      x: 0.25
      xy: 0.27
      y: 0.11
    cep90: 0.46
    iterative_mean:
      x: 0.23
      xy: 0.24
      y: -0.03
    iterative_stddev:
      x: 0.16
      xy: 0.22
      y: 0.15
    mean:
      x: 0.22
      xy: 0.22
      y: -0.01
    stddev:
      x: 0.84
      xy: 1.06
      y: 0.64
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 59.83416067745657
    cloud: 0.01565608176504727
    cloud_shadow: 0.011109062145480072
    snow: 0.08306241653883803
    water: 40.05601176209406
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.99878390846531
    cloud: 0.0012160915346810799
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
